Donations
Edit a commitment
PUT
/
admin
/
commitments
/
{commitment_id}
Edit a commitment
curl --request PUT \
--url https://api.gratona.com/v1/admin/commitments/{commitment_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"frequency": 1,
"until": "0000-00-00",
"method": 3,
"amount": 100,
"is_per_period_amount": true,
"next": "",
"program_id": "1"
}
'import requests
url = "https://api.gratona.com/v1/admin/commitments/{commitment_id}"
payload = {
"frequency": 1,
"until": "0000-00-00",
"method": 3,
"amount": 100,
"is_per_period_amount": True,
"next": "",
"program_id": "1"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: 1,
until: '0000-00-00',
method: 3,
amount: 100,
is_per_period_amount: true,
next: '',
program_id: '1'
})
};
fetch('https://api.gratona.com/v1/admin/commitments/{commitment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/commitments/{commitment_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'frequency' => 1,
'until' => '0000-00-00',
'method' => 3,
'amount' => 100,
'is_per_period_amount' => true,
'next' => '',
'program_id' => '1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-HYS-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/commitments/{commitment_id}"
payload := strings.NewReader("{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-HYS-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/commitments/{commitment_id}")
.header("X-HYS-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/commitments/{commitment_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-HYS-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Successful"
}{
"message": "Error",
"errors": {}
}Authorizations
apiKeyAuthbearerAuth
Gratona API key sent with the compatibility header X-HYS-API-Key.
Path Parameters
The id of the commitment to edit
Body
application/json
Data needed to edit a commitment
Response
Successful operation
Example:
"Successful"
⌘I
Edit a commitment
curl --request PUT \
--url https://api.gratona.com/v1/admin/commitments/{commitment_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"frequency": 1,
"until": "0000-00-00",
"method": 3,
"amount": 100,
"is_per_period_amount": true,
"next": "",
"program_id": "1"
}
'import requests
url = "https://api.gratona.com/v1/admin/commitments/{commitment_id}"
payload = {
"frequency": 1,
"until": "0000-00-00",
"method": 3,
"amount": 100,
"is_per_period_amount": True,
"next": "",
"program_id": "1"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
frequency: 1,
until: '0000-00-00',
method: 3,
amount: 100,
is_per_period_amount: true,
next: '',
program_id: '1'
})
};
fetch('https://api.gratona.com/v1/admin/commitments/{commitment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/commitments/{commitment_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'frequency' => 1,
'until' => '0000-00-00',
'method' => 3,
'amount' => 100,
'is_per_period_amount' => true,
'next' => '',
'program_id' => '1'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-HYS-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/commitments/{commitment_id}"
payload := strings.NewReader("{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-HYS-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/commitments/{commitment_id}")
.header("X-HYS-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/commitments/{commitment_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-HYS-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"frequency\": 1,\n \"until\": \"0000-00-00\",\n \"method\": 3,\n \"amount\": 100,\n \"is_per_period_amount\": true,\n \"next\": \"\",\n \"program_id\": \"1\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Successful"
}{
"message": "Error",
"errors": {}
}